package punct;

import java.awt.event.MouseAdapter;
import java.util.Arrays;

public class MasivPunct2D {
    private Punct2D[] puncte;
    private int nrPuncte;

    public MasivPunct2D(Punct2D[] puncte) {
        this.puncte = puncte;
    }

    public MasivPunct2D(int nrPuncte) {
        this.puncte = new Punct2D[nrPuncte];
        this.nrPuncte = nrPuncte;
        for (int i=0; i<nrPuncte; i++)
            puncte[i] = new Punct2D();
    }

    public Punct2D[] getPuncte() {
        return puncte;
    }

    public void setPuncte(Punct2D[] puncte) {
        this.puncte = puncte;
    }

    public int getNrPuncte() {
        return nrPuncte;
    }

    public void setNrPuncte(int nrPuncte) {
        this.nrPuncte = nrPuncte;
    }

    @Override
    public String toString() {
        return "MasivPunct2D{" +
                "puncte=" + Arrays.toString(puncte) +
                ", nrPuncte=" + nrPuncte +
                '}';
    }

}
