package punct;

import java.util.Objects;

public class Punct2D extends Object implements Cloneable {
    private double x;
    private double y;
    private String eticheta;

    static final double X_ORIG = 0.0;
    static final double Y_ORIG = 0.0;
    static final String eticheta_ORIG = "ORIGINE";

    public Punct2D(double x, double y, String eticheta) {
        super();
        this.x = x;
        this.y = y;
        this.eticheta = eticheta;
    }

    public Punct2D() {
        super();
        this.x = X_ORIG;
        this.y = Y_ORIG;
        this.eticheta = eticheta_ORIG;
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    public String getEticheta() {
        return eticheta;
    }

    public void setEticheta(String eticheta) {
        this.eticheta = eticheta;
    }

    @Override
    public String toString() {
        return "Punct2D{" +
                "x=" + x +
                ", y=" + y +
                ", eticheta='" + eticheta + '\'' +
                '}';
    }

    @Override
    protected Object clone() throws CloneNotSupportedException {
        return super.clone();
    }

//    @Override
//    public boolean equals(Object o) {
//        if (this == o) return true;
//        if (!(o instanceof Punct2D)) return false;
//
//        Punct2D punct2D = (Punct2D) o;
//
//        if (Double.compare(punct2D.getX(), getX()) != 0) return false;
//        if (Double.compare(punct2D.getY(), getY()) != 0) return false;
//        return getEticheta().equals(punct2D.getEticheta());
//    }
//
//    @Override
//    public int hashCode() {
//        int result;
//        long temp;
//        temp = Double.doubleToLongBits(getX());
//        result = (int) (temp ^ (temp >>> 32));
//        temp = Double.doubleToLongBits(getY());
//        result = 31 * result + (int) (temp ^ (temp >>> 32));
//        result = 31 * result + getEticheta().hashCode();
//        return result;
//    }


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof Punct2D)) return false;
        Punct2D punct2D = (Punct2D) o;
        return Double.compare(punct2D.getX(), getX()) == 0 &&
                Double.compare(punct2D.getY(), getY()) == 0;
    }

    @Override
    public int hashCode() {
        return Objects.hash(getX(), getY());
    }
}
